PCI_MMAP_LEGACY_MEM(9)

NAME
pci_mmap_legacy_mem - map legacy PCI memory into user memory space

SYNOPSIS

int pci_mmap_legacy_mem(struct file * filp, struct kobject * kobj, struct bin_attribute * attr, struct vm_area_struct * vma);

ARGUMENTS

filp
    open sysfs file

kobj
    kobject corresponding to device to be mapped

attr
    struct bin_attribute for this file

vma
    struct vm_area_struct passed to mmap

DESCRIPTION

Uses an arch specific callback, pci_mmap_legacy_mem_page_range, to mmap legacy memory space (first meg of bus space) into application virtual memory space.

COPYRIGHT